AnxInit

Overview

AnxInit conatins a set of utilities to use with the AN-X module.

Use AnxInit to:
  • Select an AN-X for further operations
  • Set the AN-X IP parameters
  • Restart an AN-X in production mode
  • Locate the AN-X modules on the Ethernet network
  • Display information about the selected AN-X
  • Display the kernel parameters for the selected AN-X
  • Run the selected AN-X in Config mode
  • Update the Flash on the selected AN-X
  • Update the firmware on the selected AN-X
  • Patch the firmware on the selected AN-X
In addition, it can be used to:
  • clear the AnxInit log
  • copy the contents of the debug log to the clipboard for use by another application. This is often useful for technical support.


Configuration Menu

The Configuration Menu contains commands to start the AN-X IP configuration and firmware update wizards.

Items on the Configuration Menu include:

  • AN-X IP Settings to start the AN-X IP configuration wizard
  • Firmware to start the AN-X firmware update wizard


AN-X IP Configuration Wizard

AN-X IP Settings

This command starts the AN-X IP configuration wizard. It consists of a series of steps and dialog boxes to help you configure an AN-X module on Ethernet.


AN-X Firmware Update Wizard

Firmware Update

This command starts the AN-X firmware update wizard. It consists of a series of steps and dialog boxes to help you update the firmware in an AN-X module.

After you update the firmware, you must reconfigure the AN-X, including:

  • resetting the automation network properties
  • uploading any ControlLogix configuration
  • uploading any AN-X to AN-X configuration


Utilities Menu

The Utilities Menu contains maintenance items that may be required for technical support.

Items on the Utilities Menu include:

  • Locate All AN-X Devices Locate all AN-X modules on the Ethernet network
  • Select An AN-X to select an AN-X for further operations
  • AN-X IP Configuration set the IP configuration for the currently selected AN-X
  • Update Firmware does a complete firmware update on the currently selected AN-X
  • Patch Firmware patches the firmware on the currently selected AN-X
  • Update AN-X Flash updates the flash portion of the firmware on the currently selected AN-X
  • AN-X Info displays information about the currently selected AN-X
  • Read Kernel Parameters displays the kernel parameters for the currently selected AN-X
  • Restart AN-X restart the currently selected AN-X in production mode
  • Run Config Mode runs the currently selected AN-X using the configuration kernel


Locate All AN-X Modules

This command locates all AN-X modules on the Ethernet network.

It displays the result in the AN-X log window.


Select An AN-X

Selects an AN-X for further operations.

This command displays the Set Ethernet and IP Address Dialog

AnxInit displays the MAC address and IP address of the currently selected AN-X in its title bar.


Set AN-X IP Config

This command sets the Ethernet parameters for the currently selected AN-X.

This command resets the currently selected AN-X. You are given an opportunity to cancel the command before it resets AN-X.

Use the Utilities/Select An AN-X command to select the AN-X.

The command displays the AN-X TCP/IP Configuration Dialog

After this command executes, you must issue the Restart AN-X command to restart AN-X in production mode.


Update Firmware

This command updates the application firmware in the currently selected AN-X. Files have extension bin.

This command resets the AN-X and puts it in boot mode. You are given the opportunity to cancel the command before the AN-X is reset.

When the upload is complete, the AN-X is in boot mode. Use the Restart AN-X to restart the currently selected AN-X in production mode.

After this command runs, you must reconfigure the AN-X, including:

  • resetting the master/slave mode and the drop number and depth
  • uploading the ControlLogix support configuration
  • uploading the AN-X to AN-X configuration

Use the Utilities/Select An AN-X command to select the AN-X.


Patch Firmware

This command updates some files in the application firmware in the currently selected AN-X. Files have extension pch.

This command resets the AN-X and puts it in boot mode. You are given the opportunity to cancel the command before the AN-X is reset.

When the upload is complete, the AN-X is in boot mode. Use the Restart AN-X command to restart the currently selected AN-X in production mode.

This command does not overwrite any of the AN-X configuration, such as the drop number and depth, the ControlLogix support configuration or the AN-X to AN-X communication configuration.

Use the Utilities/Select An AN-X command to select the AN-X.


Update AN-X Flash

This command updates the low level firmware in the currently selected AN-X. This includes the boot code, the configuration kernel and the production kernel. Files have extension qtf.

This command resets the AN-X and puts it in boot mode. You are given the opportunity to cancel the command before the AN-X is reset.

When the upload is complete, the AN-X is in boot mode. Use the Restart AN-X to restart the currently selected AN-X in production mode.

Use the Utilities/Select An AN-X command to select the AN-X.


AN-X Info

This command displays information about the currently selected AN-X, in the AnxInit log.

The information shown consists of:

  • the Ethernet MAC address
  • SerNum, the serial number
  • DaughterID, the daughterboard ID
  • BootRev, the version of the boot code
  • ConfigRev, the version of the configuration kernel
  • ProdRev, the version of the production kernel
  • HwRev, the hardware version
  • FirmwRev, the version of the firmware
  • Status, the current AN-X mode of operation
  • VendorId, the vendor ID
  • ProdId, the product ID
  • IpAddrStr, the IP address
  • Host Name

The status can be:

  • 1, boot mode
  • 2, config mode
  • 4, production mode

The Firmware version depends on the current mode, since different firmware is running in each case. The firmware version is not valid in boot mode.

The product ID is not valid in configuration mode or boot mode.

The Vendor ID is not valid in boot mode.

The IP address and hostname are not valid in boot mode and are not shown.

Use the Utilities/Select An AN-X command to select the AN-X.


Read Kernel Params

This command displays the kernel parameters for the currently selected AN-X in the AnxInit log window.

This command resets the AN-X and puts it in boot mode. You are given the opportunity to cancel the command before the AN-X is reset.

This command is generally used just for technical support.

Use the Utilities/Select An AN-X command to select the AN-X.


Restart AN-X

This command restarts the currently selected AN-X in production mode.

Use the Utilities/Select An AN-X command to select the AN-X.


Run Config Mode

This command resets the currently selected AN-X and runs it in config mode.

You are given the opportunity to cancel the command before the AN-X is reset.

When the AN-X is running in config mode, it repeatedly flashes the SYS LED red twice, followed by a pause.

This command is generally used just for technical support.

Use the Utilities/Select An AN-X command to select the AN-X.


Edit Menu

The Edit Menu is used with the AnxInit Log.

Items on the Edit Menu include:

  • Copy to copy the contents of the AnxInit log to the Windows clipboard
  • ClearLog to clear the contents of the AnxInit log


Copy

Use Edit/Copy to select all the contents of the AnxInit log and copy it to the Windows clipboard.

You can then paste the debug log from the clipboard into any other application such as a text editor.


ClearLog

Clears the contents of the AnxInit log in the main window.


View Menu

The View Menu controls what is displayed by AnxInit.

Items on the View Menu include:

  • Toolbar
  • Status Bar


View Toolbar

The View Toolbar command toggles on and off the display of the AnxInit toolbar.


View Status Bar

The View Status Bar command toggles on and off the display of the AnxInit status bar. The status bar shows information about commands, and the state of the CapsLock, NumLock and ScrollLock keys.


Help Menu

The Help Menu provides access to the help system.

Items on the Help Menu include:

  • Help Topics
  • Help About AnxInit... to display the Help About box


Help Topics

The Help Topics command displays the help contents window.


About Box

About AnxInit...

The About Box displays the version of AnxInit, as well as some copyright information.


AN-X Firmware Update Wizard: Step 3

Wait for Config Mode

The third step in using the AN-X firmware update wizard is to wait for the AN-X to enter Config mode.

When the AN-X module enters config mode, the Next button at the bottom of the screen will be enabled. Click the Next button to continue.

If more than 60 seconds has elapsed and the Next button is still not enabled, return to the previous screens and check the entries.


Help About

Help About AnxInit...

The Help About AnxInit command displays the Help About dialog box, which contains the version of AnxInit, as well as some copyright information.


Help Context

The Help Context command changes the mouse cursor to the Context Help cursor, which you can use to obtain help about any menu command or toolbar item.


AN-X TCP/IP Configuration Dialog

Sets the Ethernet parameters for the currently selected AN-X.

If you are connecting to an existing network, consult the network administrator about how the AN-X should be configured before you connect the AN-X to the network!

The Host Name is used internally by AN-X and may be used to communicate with an AN-X if you have a DNS server on the network. The name can be from 1 to 31 characters long.

To configure the AN-X to obtain its IP address from a DHCP server, check Obtain an IP Address automatically (DHCP).

To configure the AN-X to use a static IP address, check Use the following Settings and enter values for:

  • the IP address
  • the subnet mask
  • the default gateway. You must enter a default gateway address that is valid for your network, even if a device doesn't exist at that address on the network.


AN-X Wizard: Step 1

Select an AN-X

The first step in using the AN-X configuration wizard is to select the AN-X you want to configure.

Ethernet Adapter

From the list, select the Ethernet interface adapter that's connected to the AN-X. Usually, your computer has just one Ethernet adapter, so there will be just one adapter in the list.

AN-X MAC Address

Enter the MAC address of the AN-X you want to configure. You can find it on the label of the AN-X module. It's a set of six pairs of hexadecimal digits separated by hyphens. The MAC address is the unique low level address that every Ethernet device has been assigned.

If the AN-X has been previously configured and is online on the same subnet as the computer, you can also get the MAC address by using the Utilities/Locate All AN-X Modules command.

AN-X IP Address

Enter the IP address you want the AN-X to use. This must be an unused IP address on the local subnet. If you are connecting AN-X to an existing network, obtain a static IP address from the network administrator.


AN-X IP Wizard: Step 3

Wait for Boot Mode

The third step in using the AN-X configuration wizard is to wait for the AN-X to enter Boot mode.

When the AN-X module enters boot mode, the Next button at the bottom of the screen will be enabled. Click the Next button to continue.

If more than 10 seconds has elapsed and the Next button is still not enabled, return to the previous screens and check the entries.


Set Ethernet and IP Address Dialog

Selects an AN-X for further operations.

Select the Ethernet network adapter that is connected to the network that contains the AN-X.

Set the Ethernet MAC address to match the address of the AN-X. The MAC address is printed on the label on the AN-X. The format should be six pairs of hexadecimal numbers separated by hyphens.

You can also find the MAC address using the Locate All AN-X Devices command.

Set the IP Address to match the address of the AN-X with which you are trying to communicate. You can find the IP address using the Locate All AN-X Devices command.


Status Bar

The Status bar displays a short description of what the current menu command or toolbar item does, or shows the status of the current operation.


SysClose

System Menu Close

Close the application.


SysMaximize

System Menu Maximize

Maximize the application window.


SysMinimize

System Menu Minimize

Minimize the application window.


SysMove

System Menu Move

Move the application window.


SysRestore

System Menu Restore

Restore a previously minimized application window.


SysSize

System Menu Size

Resize the application window.


Toolbar

The Toolbar contains commonly used commands.

The Toolbar can be docked to any side of the window or floating.


AN-X Wizard: Step 2

Select the Restart Method

The second step in using the AN-X configuration wizard is to select the method used to restart the AN-X.

There are two choices: cycle power or send a command over Ethernet.

Cycle Power

If the AN-X module is easily accessible, the preferred method is to cycle power on the AN-X. Select the first option, turn off the power to the AN-X module, and click Next

Send a Reboot Command

If the AN-X module is not easily accessible, you can restart the AN-X module by sending it a reboot command over Ethernet.

Make sure the AN-X is powered on and is fully running, then select the second option and click Next